Skip to main content
GET
/
v1beta
/
quota
/
keys
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.usage.listAPIKeyQuotas({
    organizationId: "org_01h2xcejqtf2nbrexx3vqjhp41",
  });

  console.log(result);
}

run();
{
  "quotas": [
    {
      "api_key_id": "key_01h2xcejqtf2nbrexx3vqjhp41",
      "current_usage": 123,
      "is_exceeded": true,
      "limit": 123,
      "remaining": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

organization_id
string

Optional: organization ID. If not provided, uses the caller's organization.

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$
Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

Response

Success

ListAPIKeyQuotasResponse returns all key-level quotas.

quotas
APIKeyQuota · object[]

Per-key quota configurations and usage.